%define srcname hypothesis
%global __requires_exclude pythonegg\\(3\\)\\(enum34\\)

Name:           python-%{srcname}
Version:        3.1.0
Release:        %mkrel 1
Summary:        A library for property based testing
Group:          Development/Python
License:        MPLv2.0
URL:            https://github.com/DRMacIver/hypothesis
Source0:        https://pypi.python.org/packages/source/h/hypothesis/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
Suggests:       python-numpy
Suggests:       python-pytz

BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by
hand. It’s based on the Haskell library, Quickcheck, and is designed
to integrate seamlessly into your existing Python unit testing work
flow.


%package     -n python3-%{srcname}
Group:          Development/Python
Summary:        A library for property based testing
Suggests:       python3-numpy
Suggests:       python3-pytz


%description -n python3-%{srcname}
Hypothesis is a library for testing your Python code against a much
larger range of examples than you would ever want to write by
hand. It’s based on the Haskell library, Quickcheck, and is designed
to integrate seamlessly into your existing Python unit testing work
flow.


%prep
%autosetup -n %{srcname}-%{version} -p1
rm -rf src/%{srcname}.egg-info
# remove shebang, mergedbs gets installed in sitelib
%{__sed} -i -e 1,2d src/hypothesis/tools/mergedbs.py
# remove Django tests for now
rm -rf tests/django
# remove fakefactory tests, not packaged yet
rm -rf tests/fakefactory
# remove slow tests
rm -rf tests/nocover


%build
%py2_build
%py3_build


%install
%py2_install
rm -rf %{buildroot}/%{python2_sitelib}/hypothesis/internal/compat3.py
%py3_install


%files
%doc README.rst
%{python2_sitelib}/*


%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/*



%changelog
* Sun Mar 27 2016 philippem <philippem> 3.1.0-1.mga6
+ Revision: 995786
- update to 3.1.0

* Mon Mar 07 2016 philippem <philippem> 3.0.5-3.mga6
+ Revision: 987156
- escape stuff

* Sun Mar 06 2016 philippem <philippem> 3.0.5-2.mga6
+ Revision: 986763
- fix wrong Requires for Python3

* Sat Mar 05 2016 philippem <philippem> 3.0.5-1.mga6
+ Revision: 986083
- update to 3.0.5

* Tue Feb 16 2016 philippem <philippem> 2.0.0-1.mga6
+ Revision: 962669
- remove sphinx doc patch
- update to 2.0.0

* Sat Dec 19 2015 philippem <philippem> 1.17.1-1.mga6
+ Revision: 912178
- update to 1.17.1

* Sat Dec 12 2015 philippem <philippem> 1.16.0-1.mga6
+ Revision: 909736
- remove python3 file from python2 package
- update to 1.16.0

* Fri Dec 04 2015 philippem <philippem> 1.15.0-1.mga6
+ Revision: 908185
- imported package python-hypothesis

